MS_ADPCM_decodestate Struct Reference

## Data Fields

Uint8 | hPredictor
Uint16 | iDelta
Sint16 | iSamp1
Sint16 | iSamp2

## Detailed Description

Definition at line 31 of file SDL_wave.c.

## Field Documentation

## hPredictor

Uint8 MS_ADPCM_decodestate::hPredictor

Definition at line 33 of file SDL_wave.c.

Referenced by MS_ADPCM_decode().

## iDelta

Uint16 MS_ADPCM_decodestate::iDelta

Definition at line 34 of file SDL_wave.c.

Referenced by MS_ADPCM_decode(), and MS_ADPCM_nibble().

## iSamp1

Sint16 MS_ADPCM_decodestate::iSamp1

Definition at line 35 of file SDL_wave.c.

Referenced by MS_ADPCM_decode(), and MS_ADPCM_nibble().

## iSamp2

Sint16 MS_ADPCM_decodestate::iSamp2

Definition at line 36 of file SDL_wave.c.

Referenced by MS_ADPCM_decode(), and MS_ADPCM_nibble().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.c